org.apache.cassandra.cql3

## Interface Operation.RawUpdate

- All Known Implementing Classes:
    Operation.Addition, Operation.ElementAddition, Operation.ElementSubtraction, Operation.Prepend, Operation.SetElement, Operation.SetField, Operation.SetValue, Operation.Substraction
  Enclosing class:
    Operation

      public static interface Operation.RawUpdate

  A parsed raw UPDATE operation. This can be one of: - Setting a value: c = v - Setting an element of a collection: c[x] = v - An addition/subtraction to a variable: c = c +/- v (where v can be a collection literal) - An prepend operation: c = v + c

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCompatibleWith(Operation.RawUpdate other)`
    `Operation` | `prepare(CFMetaData cfm, ColumnDefinition receiver)` This method validates the operation (i.e.

- - ### Method Detail

    - #### prepare

          Operation prepare(CFMetaData cfm,
                            ColumnDefinition receiver)
                     throws InvalidRequestException

      This method validates the operation (i.e. validate it is well typed) based on the specification of the receiver of the operation. It returns an Operation which can be though as post-preparation well-typed Operation.
      Parameters:
        `receiver` - the column this operation applies to.
      Returns:
        the prepared update operation.
      Throws:
        `InvalidRequestException`

    - #### isCompatibleWith

          boolean isCompatibleWith(Operation.RawUpdate other)

      Returns:
        whether this operation can be applied alongside the `other` update (in the same UPDATE statement for the same column).

Copyright © 2018 The Apache Software Foundation